Bug 90422 - [BlackBerry] Enable registerProtocolHandler for Blackberry
Summary: [BlackBerry] Enable registerProtocolHandler for Blackberry
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: George Staikos
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-02 18:38 PDT by George Staikos
Modified: 2012-07-17 04:11 PDT (History)
6 users (show)

See Also:


Attachments
Patch part 1/3 - Enable RegisterProtocolHandler and stub out (4.83 KB, patch)
2012-07-02 18:46 PDT, George Staikos
no flags Details | Formatted Diff | Diff
Part 2/3 - Enable custom scheme handlers, stub, and remove the whitelist for BlackBerry (4.83 KB, text/plain)
2012-07-02 20:51 PDT, George Staikos
no flags Details
Part 2/3 - Enable custom scheme handlers, stub, and remove the whitelist for BlackBerry (6.40 KB, patch)
2012-07-02 20:53 PDT, George Staikos
no flags Details | Formatted Diff | Diff
Patch (5.46 KB, patch)
2012-07-16 03:02 PDT, Chris.Guan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description George Staikos 2012-07-02 18:38:57 PDT
Enable protocol handlers for the BlackBerry port.  This will be a three-stage set of patches.
Comment 1 George Staikos 2012-07-02 18:46:09 PDT
Created attachment 150515 [details]
Patch part 1/3 - Enable RegisterProtocolHandler and stub out

Each patch here builds on the previous and I would like to apply them sequentially to avoid churn.  Also someone else will be submitting the third patch.
Comment 2 George Staikos 2012-07-02 20:51:55 PDT
Created attachment 150524 [details]
Part 2/3 - Enable custom scheme handlers, stub, and remove the whitelist for BlackBerry
Comment 3 George Staikos 2012-07-02 20:52:41 PDT
Comment on attachment 150524 [details]
Part 2/3 - Enable custom scheme handlers, stub, and remove the whitelist for BlackBerry

Typo
Comment 4 George Staikos 2012-07-02 20:53:25 PDT
Created attachment 150525 [details]
Part 2/3 - Enable custom scheme handlers, stub, and remove the whitelist for BlackBerry
Comment 5 Rob Buis 2012-07-03 07:56:07 PDT
Comment on attachment 150515 [details]
Patch part 1/3 - Enable RegisterProtocolHandler and stub out

View in context: https://bugs.webkit.org/attachment.cgi?id=150515&action=review

LGTM.

> Source/WebKit/blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp:814
> +void ChromeClientBlackBerry::registerProtocolHandler(const WTF::String&, const WTF::String&, const WTF::String&, const WTF::String&)

You probably do not need the WTF prefixes.
Comment 6 Rob Buis 2012-07-03 07:58:47 PDT
Comment on attachment 150525 [details]
Part 2/3 - Enable custom scheme handlers, stub, and remove the whitelist for BlackBerry

LGTM.
Comment 7 George Staikos 2012-07-03 08:47:50 PDT
(In reply to comment #5)
> (From update of attachment 150515 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=150515&action=review
> 
> LGTM.
> 
> > Source/WebKit/blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp:814
> > +void ChromeClientBlackBerry::registerProtocolHandler(const WTF::String&, const WTF::String&, const WTF::String&, const WTF::String&)
> 
> You probably do not need the WTF prefixes.

Will check this in the following patch(es).  I believe you're right, though of course it should be harmless.
Comment 8 WebKit Review Bot 2012-07-03 08:53:48 PDT
Comment on attachment 150515 [details]
Patch part 1/3 - Enable RegisterProtocolHandler and stub out

Clearing flags on attachment: 150515

Committed r121773: <http://trac.webkit.org/changeset/121773>
Comment 9 WebKit Review Bot 2012-07-03 09:00:39 PDT
Comment on attachment 150525 [details]
Part 2/3 - Enable custom scheme handlers, stub, and remove the whitelist for BlackBerry

Clearing flags on attachment: 150525

Committed r121774: <http://trac.webkit.org/changeset/121774>
Comment 10 WebKit Review Bot 2012-07-03 09:00:45 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 George Staikos 2012-07-03 09:02:24 PDT
Reopening for the rest.
Comment 12 Chris.Guan 2012-07-16 03:02:58 PDT
Created attachment 152503 [details]
Patch
Comment 13 WebKit Review Bot 2012-07-17 03:23:39 PDT
Comment on attachment 152503 [details]
Patch

Clearing flags on attachment: 152503

Committed r122832: <http://trac.webkit.org/changeset/122832>
Comment 14 WebKit Review Bot 2012-07-17 03:23:44 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Gyuyoung Kim 2012-07-17 03:33:50 PDT
I have a question. I land a RegisterProtocolHandlerClient to Modules/protocolhandler today.
http://trac.webkit.org/changeset/122810

Don't you need to adjust it as well ?
Comment 16 Chris.Guan 2012-07-17 03:58:16 PDT
(In reply to comment #15)
> I have a question. I land a RegisterProtocolHandlerClient to Modules/protocolhandler today.
> http://trac.webkit.org/changeset/122810
> 
> Don't you need to adjust it as well ?

Thanks, Gyuyoung Kim. We saw your two patches for modular and client. I prefer sync them up in other bugs. Anyway, many thanks for your reminder:)
Comment 17 Gyuyoung Kim 2012-07-17 04:11:53 PDT
(In reply to comment #16)
> (In reply to comment #15)
> > I have a question. I land a RegisterProtocolHandlerClient to Modules/protocolhandler today.
> > http://trac.webkit.org/changeset/122810
> > 
> > Don't you need to adjust it as well ?
> 
> Thanks, Gyuyoung Kim. We saw your two patches for modular and client. I prefer sync them up in other bugs. Anyway, many thanks for your reminder:)

Ok, thanks.